diff -u cricket-1.0.5/debian/rules cricket-1.0.5/debian/rules
--- cricket-1.0.5/debian/rules
+++ cricket-1.0.5/debian/rules
@@ -26,7 +26,7 @@
 	dh_testroot
 	dh_prep
 	dh_installdirs var/lib/cricket var/log/cricket etc/logrotate.d \
-	var/www/cricket var/cache/cricket usr/share/doc/cricket \
+	var/cache/cricket usr/share/doc/cricket \
 	usr/share/man/man1 usr/bin
 
 	dh_install
@@ -36,9 +36,6 @@
 		$(tmp)/usr/bin/cricket-compile
 
 # Symlinks
-	ln -s /usr/share/cricket/images  \
-		$(tmp)/var/www/cricket/images
-
 	ln -s ../../lib/cgi-bin/cricket/grapher.cgi \
 		$(tmp)/usr/share/cricket/grapher.cgi
 	ln -s ../../lib/cgi-bin/cricket/mini-graph.cgi \
diff -u cricket-1.0.5/debian/changelog cricket-1.0.5/debian/changelog
--- cricket-1.0.5/debian/changelog
+++ cricket-1.0.5/debian/changelog
@@ -1,3 +1,15 @@
+cricket (1.0.5-10.1) unstable; urgency=low
+
+  * Non-maintainer upload.
+  * Resolve the 'dir-or-file-in-var-www' RC-bug. (Closes: #553531)
+    + Remove linking of '/var/www/cricket/images' to
+      '/usr/share/cricket/images'.
+    + Insert the correct path '/usr/share/cricket/images/failed.png'
+      into 'mini-graph.cgi' and 'grapher.cgi'. The old link would
+      have fetched the image from this location anyway.
+
+ -- Mats Erik Andersson <mats.andersson@gisladisker.se>  Tue, 12 Jan 2010 00:29:00 +0100
+
 cricket (1.0.5-10) unstable; urgency=low
 
   * In /usr/share/cricket/util/getFormat.c add ; at the end of line (More
diff -u cricket-1.0.5/debian/patches/01_debian-patch.diff cricket-1.0.5/debian/patches/01_debian-patch.diff
--- cricket-1.0.5/debian/patches/01_debian-patch.diff
+++ cricket-1.0.5/debian/patches/01_debian-patch.diff
@@ -186,7 +186,7 @@
      if (! tryPng($png)) {
          Warn("Could not open $png: $!");
 -        if (! tryPng("images/failed.png")) {
-+        if (! tryPng("/var/www/cricket/images/failed.png")) {
++        if (! tryPng("/usr/share/cricket/images/failed.png")) {
              Warn("Could not send failure png: $!");
              return;
          }
diff -u cricket-1.0.5/debian/patches/02_grapher.cgi.diff cricket-1.0.5/debian/patches/02_grapher.cgi.diff
--- cricket-1.0.5/debian/patches/02_grapher.cgi.diff
+++ cricket-1.0.5/debian/patches/02_grapher.cgi.diff
@@ -65,7 +65,7 @@
  
      if (! defined($picData)) {
 -        $pic = "images/failed.gif";
-+        $pic = "/var/www/cricket/images/failed.gif";
++        $pic = "/usr/share/cricket/images/failed.gif";
          $picData = suckPic($pic);
          if (! defined($picData)) {
              print $gQ->header('text/plain');
